Package icyllis.arc3d.engine.trash

# Class GraphicsPipelineDesc_Old

java.lang.Object
icyllis.arc3d.engine.trash.GraphicsPipelineDesc_Old

@Deprecated @Immutable public final class GraphicsPipelineDesc_Old extends Object
Deprecated.
This immutable object contains all information needed to build a pipeline and set pipeline state for a draw. It is used along with a source of geometric data to draw.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kConservativeRaster_Flag`
  Deprecated.
  Cause every pixel to be rasterized that is touched by the triangle anywhere (not just at pixel center).
  `static final int`
  `kHasScissorClip_Flag`
  Deprecated.
  Scissor clip is applied.
  `static final int`
  `kHasStencilClip_Flag`
  Deprecated.
  Stencil clip is applied.
  `static final int`
  `kNone_Flag`
  Deprecated.
  Pipeline flags.
  `static final int`
  `kRenderPassBlendBarrier_Flag`
  Deprecated.
  Render pass requires a barrier for advanced blending.
  `static final int`
  `kSnapToPixels_Flag`
  Deprecated.
  Modifies the vertex shader so that vertices will be positioned at pixel centers.
  `static final int`
  `kWireframe_Flag`
  Deprecated.
  Draws triangles as outlines.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicsPipelineDesc_Old(ImageProxyView writeView, GeometryStep geomProc, TransferProcessor xferProc, FragmentStage colorFragProc, FragmentStage coverageFragProc, UserStencilSettings userStencilSettings, int pipelineFlags)`
  Deprecated.
  Note that the fields of all input objects MUST be immutable after constructor is called.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BackendFormat`
  `backendFormat()`
  Deprecated.
  `GeometryStep`
  `geomProc()`
  Deprecated.
  `boolean`
  `hasScissorClip()`
  Deprecated.
  `boolean`
  `hasStencilClip()`
  Deprecated.
  `boolean`
  `isStencilEnabled()`
  Deprecated.
  `boolean`
  `needsBlendBarrier()`
  Deprecated.
  `int`
  `origin()`
  Deprecated.
  `byte`
  `primitiveType()`
  Deprecated.
  `int`
  `sampleCount()`
  Deprecated.
  `UserStencilSettings`
  `userStencilSettings()`
  Deprecated.
  `short`
  `writeSwizzle()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kNone_Flag

    public static final int kNone_Flag
    Deprecated.
    Pipeline flags.
    See Also:
      - Constant Field Values

  - ### kConservativeRaster_Flag

    public static final int kConservativeRaster_Flag
    Deprecated.
    Cause every pixel to be rasterized that is touched by the triangle anywhere (not just at pixel center). Additionally, if using MSAA, the sample mask will always have 100% coverage. NOTE: The primitive type must be a triangle type.
    See Also:
      - Constant Field Values

  - ### kWireframe_Flag

    public static final int kWireframe_Flag
    Deprecated.
    Draws triangles as outlines.
    See Also:
      - Constant Field Values

  - ### kSnapToPixels_Flag

    public static final int kSnapToPixels_Flag
    Deprecated.
    Modifies the vertex shader so that vertices will be positioned at pixel centers.
    See Also:
      - Constant Field Values

  - ### kHasScissorClip_Flag

    public static final int kHasScissorClip_Flag
    Deprecated.
    Scissor clip is applied.
    See Also:
      - Constant Field Values

  - ### kHasStencilClip_Flag

    public static final int kHasStencilClip_Flag
    Deprecated.
    Stencil clip is applied.
    See Also:
      - Constant Field Values

  - ### kRenderPassBlendBarrier_Flag

    public static final int kRenderPassBlendBarrier_Flag
    Deprecated.
    Render pass requires a barrier for advanced blending.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GraphicsPipelineDesc_Old

    public GraphicsPipelineDesc_Old(ImageProxyView writeView, GeometryStep geomProc, TransferProcessor xferProc, FragmentStage colorFragProc, FragmentStage coverageFragProc, UserStencilSettings userStencilSettings, int pipelineFlags)
    Deprecated.
    Note that the fields of all input objects MUST be immutable after constructor is called.
    Parameters:
      `writeView` - the main color render target to write, can NOT be null
      `userStencilSettings` - the stencil settings for stencil clipping, can be null

- ## Method Details

  - ### userStencilSettings

    public UserStencilSettings userStencilSettings()
    Deprecated.

  - ### backendFormat

    public BackendFormat backendFormat()
    Deprecated.

  - ### origin

    public int origin()
    Deprecated.
    See Also:
      - `Engine.SurfaceOrigin`

  - ### writeSwizzle

    public short writeSwizzle()
    Deprecated.
    See Also:
      - `Swizzle`

  - ### sampleCount

    public int sampleCount()
    Deprecated.

  - ### geomProc

    public GeometryStep geomProc()
    Deprecated.

  - ### primitiveType

    public byte primitiveType()
    Deprecated.
    Returns:
      see PrimitiveType

  - ### hasScissorClip

    public boolean hasScissorClip()
    Deprecated.

  - ### hasStencilClip

    public boolean hasStencilClip()
    Deprecated.

  - ### isStencilEnabled

    public boolean isStencilEnabled()
    Deprecated.

  - ### needsBlendBarrier

    public boolean needsBlendBarrier()
    Deprecated.